--- NVIDIA-Linux-x86-1.0-8178-Tukaani_2.6.14.4-desktop/usr/bin/makeself.sh.orig	2005-12-23 01:01:01.000000000 +0200
+++ NVIDIA-Linux-x86-1.0-8178-Tukaani_2.6.14.4-desktop/usr/bin/makeself.sh	2005-12-23 01:07:51.000000000 +0200
@@ -35,13 +35,15 @@
 #           bypass checksum verification of archives.
 # - 1.6.0 : Compute MD5 checksums with the md5sum command (patch from Ryan Gordon)
 # - 1.6.0-nv : Patched for use by NVIDIA.
+# - 1.6.0-nv-lzma_tukaani: Quick & dirty patch to use LZMA compression by default.
+#                          Patch by: Lasse Collin <lasse.collin@tukaani.org>
 #
 # (C) 1998-2001 by Stphane Peter <megastep@megastep.org>
 #
 # This software is released under the terms of the GNU GPL
 # Please read the license at http://www.gnu.org/copyleft/gpl.html
 #
-VERSION=1.6.0-nv
+VERSION=1.6.0-nv-lzma_tukaani
 GZIP_CMD="gzip -c9"
 GUNZIP_CMD="gzip -cd"
 KEEP=n
@@ -67,12 +69,12 @@
             exit 0
             ;;
         "--bzip2")
-            if which bzip2 2>&1 > /dev/null; then
-		GZIP_CMD="bzip2 -9"
-		GUNZIP_CMD="bzip2 -d"
-		COMPRESS=bzip2
+            if which lzma 2>&1 > /dev/null; then
+		GZIP_CMD="lzma -7"
+		GUNZIP_CMD="lzma -d"
+		COMPRESS=lzma
             else
-		echo "Unable to locate the bzip2 program in your \$PATH." >&2
+		echo "Unable to locate the lzma program in your \$PATH." >&2
 		exit 1
             fi
             ;;
